Rated 5 out of 5 stars

What does the asterisk in
Works with:
- Firefox: 1.0 – 3.0.*

mean ?
On my v3.0.8 it complains that it is not compatible.